Bug 59301 - cross compiled 2.4.18 for Qnap, ok but try ot upgrade to 2.4.20 failed (same error when i try upgrade from 2.4.16 to 2.4.18)
Summary: cross compiled 2.4.18 for Qnap, ok but try ot upgrade to 2.4.20 failed (same ...
Status: NEW
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Build (show other bugs)
Version: 2.4.18
Hardware: PC Windows NT
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-11 16:10 UTC by stephane
Modified: 2016-04-11 16:21 UTC (History)
0 users



Attachments
config.log from cross compilation (104.75 KB, text/plain)
2016-04-11 16:10 UTC, stephane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stephane 2016-04-11 16:10:52 UTC
Created attachment 33746 [details]
config.log from cross compilation

I cross compiled fine from source to 2.4.18, just saw 2.4.20 is out but when i launch compilation (previous header and lib are still present in my prefix)

it generate an error :


make[3]: Leaving directory `/SRC/httpd-2.4.20/os/unix'
make[2]: Leaving directory `/SRC/httpd-2.4.20/os/unix'
make[1]: Leaving directory `/SRC/httpd-2.4.20/os'
Making all in server
make[1]: Entering directory `/SRC/httpd-2.4.20/server'
Making all in mpm
make[2]: Entering directory `/SRC/httpd-2.4.20/server/mpm'
Making all in event
make[3]: Entering directory `/SRC/httpd-2.4.20/server/mpm/event'
make[4]: Entering directory `/SRC/httpd-2.4.20/server/mpm/event'
/opt/Qapache/share/build-1/libtool --silent --mode=compile i686-QNAP-linux-gnu-gcc -std=gnu99  -pthread  -O2 -I/opt/Qapache/include -DBIG_SECURITY_HOLE    -DLINUX -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -O2 -I/opt/Qapache/include   -I. -I/SRC/httpd-2.4.20/os/unix -I/SRC/httpd-2.4.20/include -I/opt/Qapache/include -I/SRC/httpd-2.4.20/modules/aaa -I/SRC/httpd-2.4.20/modules/cache -I/SRC/httpd-2.4.20/modules/core -I/SRC/httpd-2.4.20/modules/database -I/SRC/httpd-2.4.20/modules/filters -I/SRC/httpd-2.4.20/modules/ldap -I/SRC/httpd-2.4.20/server -I/SRC/httpd-2.4.20/modules/loggers -I/SRC/httpd-2.4.20/modules/lua -I/SRC/httpd-2.4.20/modules/proxy -I/SRC/httpd-2.4.20/modules/session -I/SRC/httpd-2.4.20/modules/ssl -I/SRC/httpd-2.4.20/modules/test -I/SRC/httpd-2.4.20/server -I/SRC/httpd-2.4.20/modules/arch/unix -I/SRC/httpd-2.4.20/modules/dav/main -I/SRC/httpd-2.4.20/modules/generators -I/SRC/httpd-2.4.20/modules/mappers  -prefer-non-pic -static -c event.c && touch event.lo
event.c: In function 'start_lingering_close_nonblocking':
event.c:908: warning: implicit declaration of function 'ap_prep_lingering_close'
event.c: In function 'event_run':
event.c:2867: warning: implicit declaration of function 'ap_log_mpm_common'
event.c: In function 'setup_slave_conn':
event.c:3008: error: 'conn_rec' has no member named 'master'
event.c: In function 'event_pre_connection':
event.c:3028: error: 'conn_rec' has no member named 'master'
event.c:3028: error: 'conn_rec' has no member named 'master'
event.c: In function 'event_hooks':
event.c:3525: warning: implicit declaration of function 'ap_hook_protocol_switch'
make[4]: *** [event.lo] Error 1
make[4]: Leaving directory `/SRC/httpd-2.4.20/server/mpm/event'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/SRC/httpd-2.4.20/server/mpm/event'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/SRC/httpd-2.4.20/server/mpm'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/SRC/httpd-2.4.20/server'
make: *** [all-recursive] Error 1

i am pretty sure it is link to an existing header or lib, because when no Apache is present it is compiling fine... got same bug upgrading from 2.4.16 to 2.4.18 and i had to recompile all dep one by one to be able to succes 2.4.18 version.

Thanks for your help
Comment 1 stephane 2016-04-11 16:21:32 UTC
add a note i resolved it copying content from httpd-2.4.20/include inside my prefix header location (/opt/Qapache/include)

it was well an header issue

may be this can be fixed in next release